bluehamed

توسعه دهنده اندروید
  • تعداد ارسال ها

    8
  • تاریخ عضویت

  • آخرین بازدید

اعتبار در انجمن

0 Neutral

درباره bluehamed

  • درجه
    Newbie
  1. سلام. تشکر بخاطر راهنماییتون این کاری که گفتید انجام دادم ولی بازهم فرقی نکرد و همون خطا رو میده
  2. خطای کامپیالش هم اینه Caused by: java.io.IOException: CreateProcess error=2, The system cannot find the file specified
  3. قبلا اصلا نمیشد بیلد رو هم انجام داد و اجرا نمیشد. الان با این تغییرات میره واسه بیلد ولی فایل apk ساخته نمیشه Android resource linking failed Output: unknown option '--utf16'. aapt2 link [options] -o arg --manifest arg files... Options: -o arg Output path. --manifest arg Path to the Android manifest to build. . . . apk\ --utf16\ --output-text-symbols\ C:\Users\..\AndroidStudioProjects\AnySoftKeyboard-eea117601cbb1cf3819814e15ca71b6df78ed19f\app\build\intermediates\symbols\debug\R.txt\ --no-version-vectors Daemon: AAPT2 aapt2-3.2.1-4818971-windows Daemon #0
  4. Android resource linking failed Output: unknown option '--utf16'. aapt2 link [options] -o arg --manifest arg files... Options: -o arg Output path. --manifest arg Path to the Android manifest to build. . . . . apk\ --utf16\ --output-text-symbols\ C:\Users\...\AndroidStudioProjects\AnySoftKeyboard-eea117601cbb1cf3819814e15ca71b6df78ed19f\app\build\intermediates\symbols\debug\R.txt\ --no-version-vectors Daemon: AAPT2 aapt2-3.2.1-4818971-windows Daemon #0
  5. بعضی مواقع هم این خطاها رو میده Unable to find a matching configuration of project :base: - Configuration 'debugApiElements': - Required com.android.build.api.attributes.BuildTypeAttr 'canary' and found incompatible value 'debug'. - Found com.android.build.api.attributes.VariantAttr 'debug' but wasn't required. - Required com.android.build.gradle.internal.dependency.AndroidTypeAttr 'Aar' and found compatible value 'Aar'. - Required org.gradle.usage 'java-api' and found compatible value 'java-api'. - Configuration 'debugRuntimeElements': - Required com.android.build.api.attributes.BuildTypeAttr 'canary' and found incompatible value 'debug'. - Found com.android.build.api.attributes.VariantAttr 'debug' but wasn't required. - Required com.android.build.gradle.internal.dependency.AndroidTypeAttr 'Aar' and found compatible value 'Aar'. - Required org.gradle.usage 'java-api' and found incompatible value 'java-runtime'. - Configuration 'releaseApiElements': - Required com.android.build.api.attributes.BuildTypeAttr 'canary' and found incompatible value 'release'. - Found com.android.build.api.attributes.VariantAttr 'release' but wasn't required. - Required com.android.build.gradle.internal.dependency.AndroidTypeAttr 'Aar' and found compatible value 'Aar'. - Required org.gradle.usage 'java-api' and found compatible value 'java-api'. - Configuration 'releaseRuntimeElements': - Required com.android.build.api.attributes.BuildTypeAttr 'canary' and found incompatible value 'release'. - Found com.android.build.api.attributes.VariantAttr 'release' but wasn't required. - Required com.android.build.gradle.internal.dependency.AndroidTypeAttr 'Aar' and found compatible value 'Aar'. - Required org.gradle.usage 'java-api' and found incompatible value 'java-runtime'.
  6. از دستور compile ایراد میگیره و میگه باید با دستور implementation جایگزین بشه. ولی وقتی این کارو میکنم باز خطا میده Unable to resolve dependency for ':base@debug/compileClasspath': Could not resolve com.anysoftkeyboard.api:api:1.9.0.
  7. دوستان کسی نبود بتونه کمک کنه یا انجام بده؟
  8. سلام من یه سورس کد از اینترنت دانلود کردم. تو اندروید استدیو باهاش کار کردم. الان یه مدته که دیگه بیلد نمیشه و همش خطا میده. خطاهارو تا جایی که تونستنم برطرف کردم. ولی باز خطا داره. میخواستم بدونم کسی هست بتونه راهنمایی کنه؟